Cyberduck Mountain Duck CLI

#6018 closed defect (thirdparty)

Damaged App from App Store

Reported by: stevef Owned by: Steve Foxon
Priority: normal Milestone:
Component: appstore Version: 4.0.2
Severity: normal Keywords:
Cc: steve@stevesden.co.uk Architecture: Intel
Platform: Mac OS X 10.6

Description

Hi,

I recently purchased Cyberduck from the Mac App store and am getting a problem about every 2nd or 3rd time I open it where I get a message that the App is damaged and I need to delete it and download it. I have now had to do so 4 times this wek so far. I have attached a screenshot of the message.

Attachments (1)

Screen shot 2011-06-20 at 19.55.34.JPEG (30.6 KB) - added by stevef on Jun 20, 2011 at 7:10:58 PM.
Screenshot of error

Download all attachments as: .zip

Change History (7)

Changed on Jun 20, 2011 at 7:10:58 PM by stevef

Screenshot of error

comment:1 Changed on Jun 21, 2011 at 6:26:13 AM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed

I can't do anything about this as the verification of the application bundle is not in my hands. Make sure there is no "cleaning" application that for example removes some localizations from the application to save disk space. Altering the application bundle in any form (removing or adding files) will make it invalid.

comment:2 follow-up: Changed on Jun 21, 2011 at 6:27:04 AM by dkocher

  • Component changed from core to appstore

comment:3 in reply to: ↑ 2 Changed on Jun 21, 2011 at 7:00:27 AM by stevef

Replying to dkocher: Wow, great response! I have not cleaned to app and it literally happens a minute after closing and re-opening. So what am I supposed to do if you are washing your hands of it? This doesn't happen with any other app from the app store, so how can you say it is not your problem? Guess I wasted my money.

comment:4 Changed on Dec 16, 2012 at 10:35:39 PM by dkocher

Duplicate in #7003.

comment:5 follow-up: Changed on Nov 11, 2013 at 11:47:32 PM by brian fisher

yeah dkocher that's a pitiful response... take someone's money but don't offer to help...

stevef: I had the same issue. I fixed by uninstalling Cyberduck.app and deleting all associated files (I use hazel to do this).

comment:6 in reply to: ↑ 5 Changed on Nov 12, 2013 at 8:46:06 AM by dkocher

Replying to brian fisher:

yeah dkocher that's a pitiful response... take someone's money but don't offer to help...

stevef: I had the same issue. I fixed by uninstalling Cyberduck.app and deleting all associated files (I use hazel to do this).

You are referring to #7557 as this ticket is 2 years old. Users can request a donation key at feedback@cyberduck.ch who want to switch to the free version available from the website. The 4.4.1 update is still pending expedited review by Apple for the Mac App Store.

Note: See TracTickets for help on using tickets.